from django.contrib.auth.models import Group
from django import forms
from .models import Acount_User, Roles
class GroupForm(forms.ModelForm):
    class Meta:
        model = Group
        fields = ('__all__')
        
        
class GroupAdminForm(GroupForm):
    def __init__(self, *args, **kwargs):
        super(GroupAdminForm, self).__init__(*args, **kwargs)
        self.fields['permissions'].widget = forms.widgets.CheckboxSelectMultiple()
        self.fields['permissions'].help_text = ''
        self.fields['permissions'].queryset = self.fields['permissions'].queryset.order_by('content_type__app_label', 'content_type__model', 'codename')
        
        
        
class UserForm(forms.ModelForm):
    class Meta:
        model = Acount_User
        fields = ('username', 'password', 'first_name', 'last_name', 'companyLocation', 'roles', 'phone', 'is_active', 'is_superuser')
        
        widgets = {
            'username': forms.TextInput(attrs={'class': 'form-control', 'required': True}), 
            'password': forms.PasswordInput(attrs={'class': 'form-control', 'required': True}),
            'first_name': forms.TextInput(attrs={'class': 'form-control', 'required': True}),
            'last_name': forms.TextInput(attrs={'class': 'form-control', 'required': True}),
            'companyLocation': forms.Select(attrs={'class': 'form-control', 'required': True}),
            'roles': forms.Select(attrs={'class': 'form-control', 'required': True}),
            'phone': forms.NumberInput(attrs={'class': 'form-control', 'required': True}),
            'is_active': forms.CheckboxInput(),
            'is_superuser': forms.CheckboxInput(),
        }

# companyLocation
# roles
# phone
        
class RoleForm(forms.ModelForm):
    class Meta:
        model = Roles
        fields = ('__all__')
        
        widgets = {
            'name': forms.TextInput(attrs={'class': 'form-control', 'required': True}),
            'company_location': forms.CheckboxInput(attrs={'class': 'ml-60',}),
            'company_profile': forms.CheckboxInput(),
            'product_category': forms.CheckboxInput(),
            'products': forms.CheckboxInput(),
            'product_prices': forms.CheckboxInput(),
            'product_stocks': forms.CheckboxInput(),
            'customers': forms.CheckboxInput(),
            'suppliers': forms.CheckboxInput(),
            'role': forms.CheckboxInput(),
            'bank_accounts': forms.CheckboxInput(),
            'users': forms.CheckboxInput(),
            'package': forms.CheckboxInput(),
            'expense_type': forms.CheckboxInput(),
            'bank': forms.CheckboxInput(),
            'payment_method': forms.CheckboxInput(),
            'bank_transaction_type': forms.CheckboxInput(),
            'cash_sale': forms.CheckboxInput(),
            'credit_sale': forms.CheckboxInput(),
            'stock_purchase': forms.CheckboxInput(),
            'stock_transfer': forms.CheckboxInput(),
            'protocol': forms.CheckboxInput(),
            'expense': forms.CheckboxInput(),
            'bank_transaction': forms.CheckboxInput(),
            'can_print_sales': forms.CheckboxInput(),
            'can_return_sales': forms.CheckboxInput(),
            'credit_sale_payment': forms.CheckboxInput(),
            'stock_purchase_payment': forms.CheckboxInput(), 
            'sale_return': forms.CheckboxInput(),
            'stock_purchase_return': forms.CheckboxInput(),
            'stock_transfer_return': forms.CheckboxInput(),
            'protocol_return': forms.CheckboxInput(),
            'stock_damage_return': forms.CheckboxInput(),
            'stock_purchase_update': forms.CheckboxInput(),
            'sale_update': forms.CheckboxInput(),
            'sale_report': forms.CheckboxInput(),
            'sale_summary_report': forms.CheckboxInput(),
            'customer_account_report': forms.CheckboxInput(),
            'customer_statement_report': forms.CheckboxInput(),
            'supplier_account_report': forms.CheckboxInput(),
            'supplier_statement_report': forms.CheckboxInput(),
            'product_sale_report': forms.CheckboxInput(),
            'stock_value_report': forms.CheckboxInput(),
            'stock_control_report': forms.CheckboxInput(),
            'stock_purchase_report': forms.CheckboxInput(),
            'stock_transfer_report': forms.CheckboxInput(),
            'protocol_report': forms.CheckboxInput(),
            'product_purchase_report': forms.CheckboxInput(),
            'transaction_return_report': forms.CheckboxInput(),
            'user_activity_report': forms.CheckboxInput(),
            'expenses_report': forms.CheckboxInput(),
            'bank_transaction_report': forms.CheckboxInput(),
            'customer_performance_report': forms.CheckboxInput(),
            'stock_control_summary_report': forms.CheckboxInput(),
        }
        
        
class updateUserForm(forms.ModelForm):
    class Meta:
        model = Acount_User
        fields = ('username', 'first_name', 'last_name', 'companyLocation', 'roles', 'phone', 'is_active', 'is_superuser')
        
        widgets = {
            'username': forms.TextInput(attrs={'class': 'form-control', 'required': True}), 
            'first_name': forms.TextInput(attrs={'class': 'form-control', 'required': True}),
            'last_name': forms.TextInput(attrs={'class': 'form-control', 'required': True}),
            'companyLocation': forms.Select(attrs={'class': 'form-control', 'required': True}),
            'roles': forms.Select(attrs={'class': 'form-control', 'required': True}),
            'phone': forms.NumberInput(attrs={'class': 'form-control', 'required': True}),
            'is_active': forms.CheckboxInput(),
            'is_superuser': forms.CheckboxInput(),
        } 